$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.160.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.160.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '3208E6B99165CFA20E5304BF9B582591551E0C9EFC63E84605C0D8961F3A54E1'
  checksumType = 'sha256'
  checksum64 = '3208E6B99165CFA20E5304BF9B582591551E0C9EFC63E84605C0D8961F3A54E1'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.32.160-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
